# Class IfcFragmentHsvColoringSettings

Used to modify the fragments output by materials IfcMaterial and TransparentIfcMaterial. If enabled isEnabled then the following occurs. Each RGB fragment (alpha is untouched) is converted to HSV and multiplied by the corresponding value in multiplier. The resulting HSV value is then converted back to RGB and output as a fragment, with the original alpha intact. One use case is to set multiplier `= { s: 1.2, v: 1.5 };` to make colors pop. White becomes whiter, black becomes blacker, red becomes redder etc.

##### Index

### Constructors

constructor

### Properties

isEnabled
multiplier

## Constructors

### constructor

- new IfcFragmentHsvColoringSettings(
  isEnabled: boolean,
  multiplier?: Partial<IfcFragmentHsvColorMultiplier>,
  ): IfcFragmentHsvColoringSettings

  Represents the HSV parameters for a loader.

  #### Parameters

  - isEnabled: boolean

    Indicates whether the HSV parameters are enabled.

  - `Optional` multiplier: Partial<IfcFragmentHsvColorMultiplier>

    The HSV multiplier values.

  #### Returns IfcFragmentHsvColoringSettings

## Properties

### isEnabled

isEnabled: boolean

Indicates whether the HSV parameters are enabled.

### `Readonly` multiplier

multiplier: IfcFragmentHsvColorMultiplier = ...

Multiplier values for HSV coloring.